import MyLabel from "../components/MyLabel";
const meta = {
    title: 'UI/labels/MyLabel',
    component: MyLabel,
    parameters: {
        layout: 'centered'
    },
    tags: ['autodocs'],
    argTypes: {
        size: {
            control: {
                type: 'select',
                options: ['normal', 'h1', 'h2', 'h3']
            }
        },
        color: {
            control: {
                type: 'select',
                options: ['text-primary', 'text-secondary', 'text-tertiary']
            }
        },
        fontColor: {
            control: {
                type: 'color'
            }
        },
    }
};
export default meta;
export const Basic = {
    args: {
        label: 'Basic Label',
        size: 'normal'
    }
};
export const AllCaps = {
    args: {
        label: 'AllCaps Label',
        size: 'normal',
        allCaps: true
    }
};
export const Secondary = {
    args: {
        label: 'Secondary Label',
        color: 'text-secondary'
    }
};
export const CustomColor = {
    args: {
        label: 'Custom Color',
        size: 'normal',
        fontColor: '#ff0000'
    }
};
